body {
    font-family: "Red Rose", sans-serif;
}

html {
    scroll-behavior: smooth;
    margin: 0;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}


/* Spacer */
.layout {
    display: block;
    position: relative;
    background: #181818;
    height: 25px;
}



nav li a:hover {
    color: #fb7127;
}


.stabs {
    height: 80%;
}

.stab .row {
    margin-left: 0px;
    margin-right: 0px;
    justify-content: space-around;
    align-items: stretch;
    align-content: center;
}

.single-bg-video {
    height: 100%;
    width: 100%;
    position: relative;
}


.single-bg-video video {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    z-index: -1;
}


/*---------------------------------- Individual Song Pages */

.single-songsection {
    text-align: center;
    background: #000000b0;
    /* box-shadow: rgb(0 0 0 / 43%) -2px 2px 4px 2px; */
    height: auto;
    padding-bottom: 40px;
    padding: 10px;
    margin: 100px 40px;
    min-height: 400px;
    border: 2px solid #fff;
    font-size: 2.5vw;
}

.single-box-buttons {
    position: absolute;
    float: right;
    display: inline-flex;
}

.small-button {
    cursor: pointer;
    color: #fafafaf8;
    background: transparent;
    border: 1px solid #FB7126;
    padding: 5px 10px;
    font-size: 2.5vw;
    margin: 2px;
}

.small-button:hover {
    cursor: pointer;
    color: white;
    background: #fb7127;
    /* box-shadow: 0px 1px 2px rgba(128, 128, 128, 0.075); */
}

.single-art img {
    width: 50vw;
    max-width: 400px;
    max-height: 400px;
    text-align: center;
    margin-bottom: 20px;
    background: transparent;
}

.single-title {
    color: white;
    font-weight: 400;
    text-shadow: 0px 2px 0px #ffffff3b;
    margin-bottom: 5px;
    font-size: 2.6vm;
}

.artist-name {
    margin: 7px;
    color: #FB7126;
    font-weight: 400;
    text-shadow: 1px 0px 0px #71f74a99;
    font-size: 2vw;
}


.stream-links-box {
    display: inline-block;
    width: auto;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    padding: 20px;
    margin: 10px 20px 34px 20px;
    justify-content: center;
    background: #000000cf;
    background-size: 500%, 400%;
    position: relative;
    animation: change 20s ease-in-out infinite;
    border-radius: 8px;
}

@keyframes change {
    0% {
        background-position: 0 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0 50%;
    }
}

.stream-links-box-low {
    display: inline-block;
    width: auto;
    height: 100%;
    display: flex;
    text-align: center;
    padding: 15px 10px 10px 10px;
    margin: 10px 20px 34px 20px;
    justify-content: center;
    box-shadow: rgba(68 68 68 / 70%) -3px 2px 0px;
    background: linear-gradient(82deg, #fd0db6f2, #d54af796, #fa06b6ed);
    background-size: 500%, 400%;
    position: relative;
    animation: change 20s ease-in-out infinite;
    border-radius: 8px;
}

@keyframes change {
    0% {
        background-position: 0 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0 50%;
    }
}

.stream-links-box-blue {
    display: inline-block;
    width: auto;
    height: 100%;
    display: flex;
    text-align: center;
    padding: 15px 10px 10px 10px;
    margin: 10px 20px 34px 20px;
    justify-content: center;
    box-shadow: rgba(68 68 68 / 70%) -3px 2px 0px;
    background: linear-gradient(82deg, #0c1d5b, #3b52bd, #0a1954);
    background-size: 500%, 400%;
    position: relative;
    animation: change 20s ease-in-out infinite;
    border-radius: 8px;
}

.app {
    text-align: center;
    vertical-align: center;
    margin: 10px;
    justify-content: space-evenly;
}

.hide {
    display: none;
}

.app .streaming-app {
    max-width: 60px;
}

.streaming-app-logo {
    border-radius: 50%;
    width: auto;
    height: auto;
    min-width: 40px;
    max-width: 60px;
    box-shadow: -8px 5px 6px 0px rgb(0 0 0 / 18%);
}

.stream-app-name {
    font-size: 8px;
    padding-top: 10px;
    color: white;
}

.all-songs-btn {
    left: 47%;
    position: relative;
    cursor: pointer;
    padding: 8px 12px;
    color: #ffffffe8;
    font-size: 3vw;
    background: #f47124;
    border: 1px solid #FB7126;
    bottom: 20px;
    top: -70px;
}

.all-songs-btn:hover {
    background: transparent;
    border: 1px solid #FB7126;
    color: #ffffff;
}

.stream-now {
    padding: 10px 10px 0px 34px;
    color: rgba(255, 255, 255, 0.911);
    font-size: 2.4vw;
    font-weight: 400;
    margin: 10px 5px 0px 5px;
    text-align: left;
}

/*---------------------------------- Share Song*/

.share-menu {
    position: relative;
    display: inline;
    cursor: pointer;
}

.share-menu .share-btn {
    position: absolute;
    z-index: 2;
}

.share-menu .social-btn {
    position: absolute;
    top: -65%;
    left: 70%;
    transform: translate(-50%, -50%);
    width: 0;
    height: 0;
    cursor: pointer;
    text-align: center;
    line-height: 75px;
    font-size: 0px;
    transition: all 300ms ease-in-out 0ms;
    color: #FB7126;
}

.share-menu.active div:nth-child(2) {
    top: 0;
    left: -70%;
    transform: translate(-50%, -100%);
    transition: all 300ms ease-in-out 450ms;
    width: 50px;
    height: 50px;
    font-size: 24px;
    line-height: 50%;
    text-shadow: 6px 6px 8px #5252525e;
}

.share-menu.active div:nth-child(3) {
    top: 0;
    left: 0%;
    transform: translate(-50%, -100%);
    transition: all 300ms ease-in-out 400ms;
    width: 50px;
    height: 50px;
    font-size: 23px;
    line-height: 50%;
    text-shadow: 6px 6px 8px #5252525e;
}

.share-menu.active div:nth-child(4) {
    top: 0;
    left: 70%;
    transform: translate(-50%, -100%);
    transition: all 300ms ease-in-out 290ms;
    width: 50px;
    height: 50px;
    font-size: 23px;
    line-height: 50%;
    text-shadow: 6px 6px 8px #5252525e;
}

.share-menu.active div:nth-child(5) {
    top: 0;
    left: 140%;
    transform: translate(-50%, -100%);
    transition: all 300ms ease-in-out 190ms;
    width: 50px;
    height: 50px;
    font-size: 23px;
    line-height: 50%;
    text-shadow: 6px 6px 8px #5252525e;
}

#mail-button {
    color: #a37296;
}

.share-menu.active div:nth-child(6) {
    top: 0;
    left: 210%;
    transform: translate(-50%, -100%);
    transition: all 300ms ease-in-out 100ms;
    width: 50px;
    height: 50px;
    font-size: 20.5px;
    line-height: 50%;
    padding-top: 2px;
    text-shadow: 6px 6px 8px #5252525e;
}

/*---------------------------------- Preview*/


.preview-box {
    border: none;
    box-shadow: 5px 5px 9px hsla(260, 51%, 21%, 0.295);
    cursor: pointer;
    transition: all 0.5s ease-in-out;
    margin: 50px 30px 0px 3px;
}

.preview-btn a {
    pointer-events: none;
    cursor: default;
}

.preview-btn {
    color: #fffffff8;
}

.preview-btn:hover {
    background: #fb7127;
    color: #fff;
}

/*------------------------------- Footer*/

.footer {
    background-color: #222222fa;
    width: 100%;
    height: 500px;
    justify-content: center;
    text-align: center;
    align-content: center;
    font-size: 13px;
    color: white;
    position: relative;
    box-shadow: rgba(56, 59, 61, 0.322) 0px 1px 4px;
    margin-top: 10px;
}

.footer-socials {
    margin: 180px 3px 50px 3px;
    box-shadow: -1px 3px 6px rgb(0 0 0 / 30%);
    width: 60px;
    border-radius: 9px;
    height: 60px;
}

.sociallinks-box a {
    text-decoration: none;
}

.footer-buttons-box {
    margin-top: 20px;
    width: 100%;
}

.footer-buttons-box a {
    padding: 10px;
    text-align: center;
    align-content: center;
}

.footer-buttons {
    text-align: center;
    justify-content: center;
    text-align: center;
    letter-spacing: 0.2px;
    font-weight: 400;
    display: inline-block;
    position: relative;
    line-height: 1.15384615;
    cursor: pointer;
    color: white;
    background: transparent;
    padding: 8px 15px;
    font-size: 15px;
    box-shadow: inset 1px -2px 3px 0px #a439ed78;
    ;
    margin: 2px;
    border: 1px solid #7f4af78a;
    text-shadow: 1px 0px 0px #7e4af738;
}

.footer-buttons:hover {
    color: white;
    box-shadow: 0px 1px 2px rgba(128, 128, 128, 0.123);
}

.copyright {
    position: absolute;
    text-align: center;
    bottom: 0;
    width: 100%;
    margin-bottom: 10px;
}

.center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.spin-image:hover {
    -webkit-animation: spin 5s linear infinite;
    -moz-animation: spin 5s linear infinite;
    animation: spin 5s linear infinite;
}

/*---------------------------------- Screensize*/

/*------------------------------ Phone*/

/*--------------------------- 5C*/
@media (min-width: 319px) {
    .single-title {
        font-size: 4.6vw;
    }

    .artist-name {
        font-size: 4vw;
    }

    .single-art {
        padding-top: 20px;
    }

    .single-box-buttons {
        padding-top: 0px;
        right: 12%;
        top: 8%;
    }

    .preview-box {
        max-width: 250px;
        margin-left: 0px;
        margin-right: 0px;
    }

    .stream-app-name {
        font-size: 10px;
        /* padding-top: 10px; */
    }

    .stream-box {
        flex-wrap: wrap;
        justify-content: center;
    }

    .streaming-app-logo {
        max-width: 60px;
    }
}

@media (max-width: 380px) {

    /* MAX */
    .stream-links-box {
        margin: 10px 15px 34px 15px;
    }

    .banner-text {
        font-size: 10vw;
    }

    .stream-now {
        padding-left: 15px;
        font-size: 3.4vw;
    }

}

/*--------------------------- 6/7/8 */

@media (min-width: 375px) {
    .preview-box {
        max-width: 300px;
        margin-left: 0px;
        margin-right: 0px;
    }

    .stream-app-name {
        font-size: 10px;
    }
}

/*--------------------------- 6+/7+/8+ */

@media (min-width: 414px) {}

@media (max-width: 430px) {

    /*- MAX */
    .index-songs-header {
        font-size: 6vw;
    }
}


/*--------------------------- X */

@media (device-width : 375px) and (device-height : 812px) {}

/*--------------------------- Ipad*/

@media (min-width: 767px) {

    .small-button,
    .all-songs-btn,
    .music-button,
    .all-songs-btn {
        font-size: 1.5vw;
    }

    .app {
        padding: 10px;
    }

    .stream-app-name {
        font-size: 10px;
        /* padding-top: 10px; */
    }

    .single-box-buttons {
        right: 12%;
        top: 12%;
        padding-top: 20px;
    }

    .preview-box {
        max-width: 300px;
    }

    .single-songsection {
        text-align: center;
        background: #000000b0;
        /* box-shadow: rgb(0 0 0 / 43%) -2px 2px 4px 2px; */
        height: auto;
        padding-bottom: 40px;
        padding: 10px;
        margin: 200px;
        min-height: 400px;
        border: 2px solid #fff;
        font-size: 2.5vw;
    }
}

@media (max-width: 767px) {

    /*- MAX */
    .logo {
        margin: 20px 20px 20px 10px;
    }
}


/*--------------------------- Ipad Pro < */

@media (min-width: 1000px) {

    .small-button,
    .all-songs-btn,
    .music-button,
    .all-songs-btn {
        font-size: 1.7vw;
    }

    .single-title {
        font-size: 2.6vw;
    }

    .artist-name {
        font-size: 2vw;
    }

}

@media (min-width: 1400px) {

    .small-button,
    .all-songs-btn,
    .music-button,
    .all-songs-btn {
        font-size: 1.2vw;
    }

    .preview-box {
        max-width: 500px;
    }
}

/*--------------------------- */
@media (max-width: 1200px) {}

/*--------------------------- */
@media screen and (min-width: 320px) and (max-width: 812px) and (orientation: landscape) {}

@media only screen and (max-width: 860px) {
    .logo-minor {
        padding-left: 10%;
        color: #fff;
        padding-right: 10vw;
        font-size: 1.1rem;
        margin-top: 10px;
    }
}